<?php
	
	require_once '../includes/start.php';
	require_once '../includes/function.php';
	require_once '../includes/header1.php';
	$pl=$_GET['p'];
	$q = mysql_query("SELECT * FROM `planet` WHERE `id`='".check(mysql_real_escape_string($pl))."'");
	$f = mysql_fetch_array($q);
	$s = mysql_query("SELECT * FROM `building` WHERE `planet_id`='".check(mysql_real_escape_string($f['id']))."'");
	$b = mysql_fetch_array($s);
	if($game==0 OR $level==0 OR $rasa!=1 OR $f['uid']!=$use_id OR $b['b4']==0 OR $ban!=0){
   		echo "<title>Доступ закрыт!!!</title>";
	 	echo "<script type=\"text/javascript\">createPopup().show( 0, 0, 0, 0, 0 );</script>";
	 	echo "<body oncontextmenu=\"return false;\"><body onselectstart='return false' oncopy='return false'><body onselectstart=\"return false\" oncopy=\"return false\"><body onload=\"digitalWatch()\">";
		echo '<div class="blok3"><img src="/images/errors.png" width="200px"/></div><div class="blok3"><b>Вы не авторизованный или заблокированный пользователь или вы не достигли условий для доступа на страницу!!!</b><br/><a href="/?sign_in=1"><font color="#4EEE94"><b>Авторизуйтесь</font></a></b> или <a href="/reg.php"><font color="#4EEE94"><b>Зарегистрируйтесь</b></font></a></div>';
   }else{

	echo '<div class="top"><a href="../game/planet.php?act=pl&amp;p='.$f['id'].'">Планета '.$f['name'].'</a> | Станция наблюдения</div>';
	   		switch ($act) {
			default:
			if($lvl_hero>=3)echo '<div class="cont"><img src="../images/protoss.png" alt="image" /> Разведка '.$f['razv'].'% [<a href="?act=razv&amp;p='.$f['id'].'">+</a>]</div>';
			echo '<div class="conts"><img src="../images/army.gif" alt="" /> <a href="?act=otr&amp;p='.$f['id'].'">Отряды на планете</a></div>';
	break;
				case 'razv':
		if($lvl_hero>=3){
	echo '<div class="cont">Поднятие разведки</div><div class="conts">';
	if($f['razv']>=100){echo 'Вы не можете поднять уровень разведки выше 100%<br/>';}else{	
	$ok=$_GET['ok'];
	$count = mysql_result(mysql_query("SELECT COUNT(*) FROM `rabota` WHERE `typerab`=6 AND `uid`='".$use_id."' AND `planet`='".$f['id']."';"), 0);
	$mn=$f['razv']*5;
	$met=$f['razv']*15;
	$gs=$f['razv']*5;
	$kd=$f['razv']*35;
	
	$timerab=$realtime+600;
	if($ok!=1){
	echo 'Стоимость поднятия:<br/>
	<img src="../images/min.gif" alt="image" /> '.$mn.' минералов<br/>
	<img src="../images/metall.gif" alt="image" /> '.$met.' металлов<br/>
	<img src="../images/gas.gif" alt="image" /> '.$gs.' газа Веспен<br/>
	<img src="../images/kred.png" alt="image" /> '.$kd.' кредитов<br/>
	<img src="../images/time.gif" alt="image" /> Время: '.intval(($timerab-$realtime)/60).' минут<br/>';
	if($count!=0)echo 'Работа по поднятию уровня разведки уже ведется!<br/>';
	if($gas>=$gs AND $min>=$mn AND $metall>=$met AND $kred>=$kd AND $count==0 AND $f['razv']<100)echo '<a href="?act=razv&amp;p='.$f['id'].'&amp;ok=1">Поднять уровень</a><br/>';
	}else{
	if($gas>=$gs AND $min>=$mn AND $metall>=$met AND $kred>=$kd AND $count==0 AND $f['razv']<100){
	mysql_query("UPDATE `users` SET
						`kred`=kred-$kd,
						`metall`=metall-$met,
						`gas`=gas-$gs,
						`min`=min-$mn WHERE `id` = '".$use_id."';");
		mysql_query("INSERT INTO `rabota` SET
			`uid`='".$use_id."',
			`planet`='".$f['id']."',
			`name_planet`='".$f['name']."',
			`rasa`='".$rasa."',
			`typerab`=6,
			`number`='".($f['razv']+1)."',
			`time`=$timerab;");
	echo 'Начато поднятие уровня разведки до '.($f['razv']+1).'%!<br/>';}
	}
}}
echo '<a href="radar.php?p='.$f['id'].'"><<Назад</a></div>';
	break;
	case 'otr':
	echo '<div class="cont">Отряды на планете <span class="'.crasa($rasa).'">'.$f['name'].'</span></div>';
	$PAGINGS = mysql_query("SELECT * FROM `army` WHERE `onpl`='".$f['id']."' ORDER BY `id` ASC");
	if($PAGINGS > 0)
	{
		while($row = mysql_fetch_array($PAGINGS))
		{

			echo '<div class="conts">';
			echo '<img src="../images/army.gif" alt="image" /> Отряд <span class="'.crasa($row['rasa']).'">'.$row['name'].'</span> ';
			if($row['time']>=$realtime)echo '['. intval(($row['time']-$realtime)/60) .' минут]';
			if($row['uid']==$use_id)echo '[<span class="green">ваш</span>]';
			if($row['fr_id']==$fr_id AND $fr_id!=0 AND $row['uid']!=$use_id)echo ' [<span class="blue">союзник</span>]';
			if($row['uid']!=$use_id AND (($fr_id==$row['fr_id'] AND $fr_id==0 AND $row['fr_id']==0) OR ($fr_id!=$row['fr_id'] AND $fr_id!=0 AND $row['fr_id']==0) OR ($fr_id!=$row['fr_id'] AND $fr_id==0 AND $row['fr_id']!=0) OR ($fr_id!=$row['fr_id'] AND $fr_id!=0 AND $row['fr_id']!=0)))echo ' [<span class="red">противник</span>]';
			echo '<br/>Расположение: x:'.$row['xpl'].' y:'.$row['ypl'].'';
			echo '</div>';
	}
		}
	echo '<div class="conts"><a href="kont.php?p='.$f['id'].'"><<Назад</a></div>';
	break;
case 'army':
	$a1=$_GET['a1'];
	$a2=$_GET['a2'];
	$q1 = mysql_query("SELECT * FROM `army` WHERE `id`='".check(mysql_real_escape_string($a1))."'");
	$f1 = mysql_fetch_array($q1);
	$q2 = mysql_query("SELECT * FROM `army` WHERE `id`='".check(mysql_real_escape_string($a2))."'");
	$f2 = mysql_fetch_array($q2);
	$h = mysql_query("SELECT * FROM `users` WHERE `id`='".$f1['uid']."'");
	$u = mysql_fetch_array($h);
	if($f1['uid']==$f2['uid'])$f['razv']=100;
	if($f1['x']==$f2['x'] AND $f1['y']==$f2['y'] AND $f2['planet']==$f['id']){
	echo '<div class="cont">Отряд <span class="'.crasa($u['rasa']).'">'.$f1['name'].'</span> игрока '.rasa($u['rasa']).' <a href="../p/anketa.php?id='.$u['id'].'"> <span class="'.crasa($u['rasa']).'">'.$u['login'].'</span></a></div><div class="top">Разведка '.$f['razv'].'%</div>';
	$tochn = rand($f['razv'], 100);
	$units=$f1['u1']+$f1['u2']+$f1['u3']+$f1['u4']+$f1['u5']+$f1['u6']+$f1['u7']+$f1['u8']+$f1['u9']+$f1['u10']+$f1['u11']+$f1['u12']+$f1['u13'];
	echo '<div class="conts">';
	if($units==0)echo 'Нет войск в составе отряда...<br/>';
	if($f1['u1']!=0)echo ''.rasa($u['rasa']).' '.units(1, $u['rasa']).': '.intval(($f1['u1']/100)*$tochn).'<br/>';
	if($f1['u2']!=0)echo ''.rasa($u['rasa']).' '.units(2, $u['rasa']).': '.intval(($f1['u2']/100)*$tochn).'<br/>';
	if($f1['u3']!=0)echo ''.rasa($u['rasa']).' '.units(3, $u['rasa']).': '.intval(($f1['u3']/100)*$tochn).'<br/>';
	if($f1['u4']!=0)echo ''.rasa($u['rasa']).' '.units(4, $u['rasa']).': '.intval(($f1['u4']/100)*$tochn).'<br/>';
	if($f1['u5']!=0)echo ''.rasa($u['rasa']).' '.units(5, $u['rasa']).': '.intval(($f1['u5']/100)*$tochn).'<br/>';
	if($f1['u6']!=0)echo ''.rasa($u['rasa']).' '.units(6, $u['rasa']).': '.intval(($f1['u6']/100)*$tochn).'<br/>';
	if($f1['u7']!=0)echo ''.rasa($u['rasa']).' '.units(7, $u['rasa']).': '.intval(($f1['u7']/100)*$tochn).'<br/>';
	if($f1['u8']!=0)echo ''.rasa($u['rasa']).' '.units(8, $u['rasa']).': '.intval(($f1['u8']/100)*$tochn).'<br/>';
	if($f1['u9']!=0)echo ''.rasa($u['rasa']).' '.units(9, $u['rasa']).': '.intval(($f1['u9']/100)*$tochn).'<br/>';
	if($f1['u10']!=0)echo ''.rasa($u['rasa']).' '.units(10, $u['rasa']).': '.intval(($f1['u10']/100)*$tochn).'<br/>';
	if($f1['u11']!=0)echo ''.rasa($u['rasa']).' '.units(11, $u['rasa']).': '.intval(($f1['u11']/100)*$tochn).'<br/>';
	if($f1['u12']!=0)echo ''.rasa($u['rasa']).' '.units(12, $u['rasa']).': '.intval(($f1['u12']/100)*$tochn).'<br/>';
	echo '</div>';
	echo '<div class="conts"><a href="../game/sp_army.php?act=loc&amp;a='.$f2['id'].'"><<Назад</a></div>';
	}
break;

case 'planet':
	$l=$_GET['l'];
	$a=$_GET['a'];
	$q1 = mysql_query("SELECT * FROM `planet` WHERE `id`='".check(mysql_real_escape_string($l))."'");
	$f1 = mysql_fetch_array($q1);
	$q2 = mysql_query("SELECT * FROM `army` WHERE `id`='".check(mysql_real_escape_string($a))."'");
	$f2 = mysql_fetch_array($q2);
	$h = mysql_query("SELECT * FROM `users` WHERE `id`='".$f1['uid']."'");
	$u = mysql_fetch_array($h);
	if($f1['uid']==$f2['uid'])$f['razv']=100;
	if($f1['x']==$f2['x'] AND $f1['y']==$f2['y'] AND $f2['planet']==$f['id']){
	echo '<div class="cont">Планета <span class="'.crasa($u['rasa']).'">'.$f1['name'].'</span> игрока '.rasa($u['rasa']).' <a href="../p/anketa.php?id='.$u['id'].'"> <span class="'.crasa($u['rasa']).'">'.$u['login'].'</span></a></div><div class="top">Разведка '.$f['razv'].'%</div>';
	$tochn = rand($f['razv'], 100);
$mm = mysql_query("SELECT * FROM `planet_loc` WHERE `planet_id`='".$f1['id']."' AND `x`=3 AND `y`=3 LIMIT 1");
$map = mysql_fetch_array($mm);  
$x1=4-3;
$y1=4+3;
$wave=1;
$table=1;
echo '<div class="conts" align="center"><table cellspacing="0" cellpadding="0">';
while($wave<='49'){
if($table=='8'){
$table='1';
$x1=$x1-'7';
$y1=$y1-'1';}
$mm1 = mysql_query("SELECT * FROM `planet_loc` WHERE `planet_id`='".$f1['id']."' AND `x`='".$x1."' AND `y`='".$y1."' LIMIT 1");
$map1 = mysql_fetch_array($mm1);

if($table=='1')echo'<tr border="0" HEIGHT="18">';
echo'<td BGCOLOR="black">';
echo ''.m($map1['type'], $map1['occupy'], $use_id, $map1['uid'], $f1['rasa']).'';
echo'</td>';
if($table=='7')echo'</tr>';

$wave++;
$table++;
$x1++;
}

echo'</table></div>';
	echo '<div class="conts"><a href="../game/sp_army.php?act=loc&amp;a='.$f2['id'].'"><<Назад</a></div>';
	}
break;

	case 'zellnaga':
	$r=$_GET['r'];
	$a=$_GET['a'];
	$q1 = mysql_query("SELECT * FROM `sector_loc` WHERE `planet`='".check(mysql_real_escape_string($r))."' AND `loc`=6");
	$f1 = mysql_fetch_array($q1);
	$q2 = mysql_query("SELECT * FROM `army` WHERE `id`='".check(mysql_real_escape_string($a))."'");
	$f2 = mysql_fetch_array($q2);
	if($f1['uid']!=''){
	echo '<div class="cont">Древний корабль Зелл-Нага</div><div class="top">Разведка '.$f['razv'].'%</div>';
	if($f1['uid']==$use_id){
	$exp=rand($f['razv'], 150);
	if($exp>=120){
	echo '<div class="conts">При разведке отрядом корабля был обнаружен неизвестный артефакт! Корабль Зелл-Нага автоматически вышел на сверхъсветовую скорость и покинул орбиту вашей планеты</div>';
	mysql_query("INSERT INTO `art` SET `uid`='".$use_id."', `planet`='".$f1['planet']."';");
	}else{
	echo '<div class="conts">При разведке на корабле ничего не было обнаружено! Корабль Зелл-Нага автоматически вышел на сверхъсветовую скорость и покинул орбиту вашей планеты</div>';
	}
	mysql_query("UPDATE `planet` SET `exp`=0 WHERE `id`='".$f1['planet']."';");
	mysql_query("DELETE FROM `sector_loc` WHERE `id`='".$f1['id']."';");
	}else{
	echo '<div class="conts">Вы не можете разведать корабль так как он находится вблизи планеты которая вам не пренадлежит</div>';
	}
	
	echo '<div class="conts"><a href="../game/sp_army.php?act=loc&amp;a='.$f2['id'].'"><<Назад</a></div>';}
	break;	

	}
}
	echo '<div class="razd"></div>';
	echo '<center><div class="blok2"><a href="../"><b>На Главную</b></a></div></center>';
	echo '<div class="razd"></div>';
	require_once '../includes/footer1.php';
?>